document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_17300
--- +++ @@ -8,12 +8,15 @@ print_in_purple "\n Trackpad\n\n" execute "defaults write com.apple.driver.AppleBluetoothMultitouch.trackpad Clicking -bool true && \ + defaults write com.apple.AppleMultitouchTrackpad Clicking -int 1 && \ defaults write NSGlobalDomain com.apple.mouse.tapBehavior -int ...
bash
d_bash_17301
--- +++ @@ -1,5 +1,6 @@ #!/bin/bash -mongo --eval "db.dropDatabase();" frank-recruiter-system-test +mongo --eval "db.dropDatabase();" frank-recruiter-system-test > /dev/null +mongo --eval "db.dropDatabase();" frank-recruiter-system-dev > /dev/null echo "Database has been reset."
bash
d_bash_17302
--- +++ @@ -1,4 +1,4 @@ -#!/bin/bash +#!/usr/bin/env bash case "$1" in build)
bash
d_bash_17303
--- +++ @@ -30,4 +30,6 @@ # export directory mkdir -p export/postgresql/ chmod 777 -R export +# chown +chown ${NEWUSER}. -R /home/${NEWUSER}/work
bash
d_bash_17304
--- +++ @@ -11,4 +11,8 @@ fi cd attack-on-deadline -mono $KLB_PLAYGROUND_HOME/Tools/Toboggan/KLBToolHost.exe --verbose --clean --publish --force --all-profiles --directory `pwd` +mono $KLB_PLAYGROUND_HOME/Tools/Toboggan/KLBToolHost.exe --verbose --clean --publish --force --all-profiles --plugin-vars KLBTextureEdi...
bash
d_bash_17305
--- +++ @@ -1,4 +1,5 @@ #!/bin/bash python -c "import re;import os;out=re.sub('(#SecAction[\S\s]*id:900000[\s\S]*paranoia_level=1\")','SecAction \\\\\n \"id:900000, \\\\\n phase:1, \\\\\n nolog, \\\\\n pass, \\\\\n t:none, \\\\\n setvar:tx.paranoia_level='+os.environ['PARANOIA']+'\"',open('/etc/apache2/m...
bash
d_bash_17306
--- +++ @@ -16,10 +16,7 @@ echo "Building ..." ( cd $BUILDTMP/src -for d in src/blocks/*/ ; do - echo "Installing any deps in $d" - (cd "$d" ; yarn) -done +src/blocks/install-all-yarn.sh yarn && yarn run build )
bash
d_bash_17307
--- +++ @@ -1,5 +1,5 @@ -#!/bin/sh -if [ $PLAYER_EVENT == "start" ] +#!/bin/bash +if [ "$PLAYER_EVENT" == "start" ] then /usr/bin/mpc -q stop fi
bash
d_bash_17308
--- +++ @@ -5,8 +5,6 @@ echo 'Perl5 install' ( sudo apt-get update - sudo apt-get install -y bioperl - sudo apt-get install -y liblog-log4perl-perl - sudo apt-get install -y cpanminus + sudo apt-get install -y bioperl liblog-log4perl-perl cpanminus libreadonly-perl sudo cpanm Getopt::ArgParse )
bash
d_bash_17309
--- +++ @@ -7,7 +7,7 @@ if [ ! $(command -v gometalinter) ] then go get github.com/alecthomas/gometalinter - gometalinter --install --vendor + gometalinter --install --vendor --debug fi gometalinter \
bash
d_bash_17310
--- +++ @@ -11,7 +11,9 @@ cp realm/build/outputs/aar/realm-0.80.aar distribution/realm echo "Copying files to the distribution/RealmIntroExample folder" +mkdir -p distribution/RealmIntroExample/app/libs cp realm-annotations-processor/build/libs/realm-annotations-processor-0.80.jar distribution/RealmIntroExample/...
bash
d_bash_17311
--- +++ @@ -9,7 +9,8 @@ echo '#include "replication/logical.h"' >> /tmp/postgres.c -gcc -I /usr/include/postgresql/9.4/server -E /tmp/postgres.c > /tmp/libpq.c +gcc -I /usr/include/postgresql/9.4/server -I /usr/local/include/server/ \ + -E /tmp/postgres.c > /tmp/libpq.c cat /tmp/libpq.c | python src/remove...
bash
d_bash_17312
--- +++ @@ -1,8 +1,12 @@ #!/bin/sh +# https://github.com/ekmett/bifunctors.git master (cd ../../ekmett/bifunctors && cabal clean && cabal install --allow-newer) -# (cd ../../ekmett/comonad && cabal clean && cabal install --allow-newer) + +# https://github.com/ekmett/free.git master (cd ../../ekmett/free ...
bash
d_bash_17313
--- +++ @@ -1,20 +1,19 @@ #!/usr/bin/env bash -DEFAULT_PROJECT='ENCODE - ChIP Production' DEFAULT_FOLDER='/applets/' -project=${1:-$DEFAULT_PROJECT} +project=$1 folder=${2:-$DEFAULT_FOLDER} PRODUCTION_APPLETS=('encode_map' 'filter_qc' 'xcor' 'xcor_only' 'spp' 'pool' 'pseudoreplicator' 'encode_spp' 'encode_m...
bash
d_bash_17314
--- +++ @@ -9,7 +9,7 @@ clear git co -- $md msg="Tag instances of name '$name' as language '$lang'" - perl -i -pne "s/(?<!\})$name(?!\})/\\\\lang$lang{$name}/g if ! /^(\[\^\d+\]|#+ )/" -- $md + perl -i -pne "s/(?<!\{)$name(?!\})/\\\\lang$lang{$name}/g if ! /^(\[\^\d+\]|#+ )/" -- $md git add -- $md git --no-...
bash
d_bash_17315
--- +++ @@ -5,7 +5,7 @@ for arg in "$@" do case "$arg" in - -v) VERBOSE="-v -v -v" + -d) VERBOSE="-v -v -v" ;; esac done
bash
d_bash_17316
--- +++ @@ -8,7 +8,7 @@ tar -zxf "$tmp_file" -C /tmp echo "Installing gcloud..." -/tmp/google-cloud-sdk/install.sh --rc-path ~/.zshrc --path-update --command-completion true --bash-completion true --install-python false -q +/tmp/google-cloud-sdk/install.sh --rc-path ~/.zshrc --path-update true --command-completio...
bash
d_bash_17317
--- +++ @@ -8,9 +8,9 @@ [ -z "$KEY" ] && echo "Need to set KEY" && exit 1; [ -z "$USER" ] && echo "Need to set USER" && exit 1; -pingdom_down=`curl -s http://isup.me/api.pingdom.com | grep -c "It's not just you"` +pingdom_down=`curl --connect-timeout 5 -s https://api.pingdom.com/ >/dev/null 2>&1` -if [ $pingdom...
bash
d_bash_17318
--- +++ @@ -2,7 +2,7 @@ # Set additional environment variables for travis -if [ ${RUN_SLOW_TESTS} == 'false' ] && ([ ${TRAVIS_BRANCH} == 'homolog' ] || [ ${TRAVIS_BRANCH} == 'master' ] || [[ $TRAVIS_BRANCH =~ ^deploy-.*$ ]]); then +if [ ${RUN_SLOW_TESTS} == 'false' ] && ([ ${TRAVIS_BRANCH} == 'homolog' ] || [ ${...
bash
d_bash_17319
--- +++ @@ -9,6 +9,6 @@ # echo "Building Android release APK" cordova build android --release -jarsigner -verbose -sigalg SHA1withRSA -digestalg SHA1 -keystore ../keys/evothings.keystore platforms/android/build/outputs/apk/android-release-unsigned.apk evothings_alias -jarsigner -verify -verbose platforms/android/b...
bash
d_bash_17320
--- +++ @@ -11,20 +11,25 @@ git tag -d $RELEASE_VERSION git push origin :refs/tags/$RELEASE_VERSION +TMP_DIR=$( mktemp -d ) +git clone git@github.com:taeram/xenforo-gpx-to-google-map.git $TMP_DIR + +cd $TMP_DIR git rm .gitignore -git rm --cached *.sh +git rm *.sh composer install --optimize-autoloader git ad...
bash
d_bash_17321
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh +#!/bin/bash function get_version(){ local VERSION=$( head -1 debian/changelog | grep -oh '(\([^)]*\)' | cut -b2- )
bash
d_bash_17322
--- +++ @@ -13,3 +13,5 @@ [ "$TERM" = "screen" ]; then export TERM=screen-256color fi +# Set rust source path for racer +export RUST_SRC_PATH=~/src/rust/src
bash
d_bash_17323
--- +++ @@ -14,4 +14,4 @@ # install qml frontend dependencies sudo add-apt-repository -y ppa:ubuntu-sdk-team/ppa sudo apt-get update -qq -sudo apt-get install -qq qtbase5-dev qtdeclarative5-dev +sudo apt-get install -qq qtbase5-private-dev qtdeclarative5-private-dev
bash
d_bash_17324
--- +++ @@ -17,7 +17,7 @@ source ./install_homebrew_alternate_casks.sh source ./install_homebrew_web_font_tools.sh - update_and_upgrade + update source ./cleanup.sh
bash
d_bash_17325
--- +++ @@ -13,7 +13,7 @@ TARGET=$(echo "$TRAVIS_BRANCH" | sed -e 's@/@-@g') echo "Building Maven site for $TARGET" -cmd mvn --batch-mode site site:stage +cmd mvn --batch-mode site site:stage -Dlenskit.web.url=http://dev.grouplens.org/lenskit/$TARGET cmd -d target/staging zip -qr ../lenskit-site.zip * if [ -n "...
bash
d_bash_17326
--- +++ @@ -4,8 +4,9 @@ sudo add-apt-repository ppa:openmw/deps -y sudo apt-get update -qq -if [ "$CC" = "gcc" ]; then sudo apt-get install -qq gcc-4.8; fi -if [ "$CC" = "gcc" ]; then export CC="gcc-4.8"; fi +if test $CC = gcc; then sudo apt-get install -qq gcc-4.8; fi +if test $CC = gcc; then sudo update-alterna...
bash
d_bash_17327
--- +++ @@ -22,12 +22,18 @@ fi date=$(echo "$message" | grep -i "^Date: " | sed "s/^Date: //") -date="" if [ -z "$date" ]; then open "$archive" exit fi -list_date=$(date -j -v-mon -f "%a, %d %b %Y %H:%M:%S %z" "$date" "+%Y%m%d") +if date --version > /dev/null 2>&1; then + # Adjust the date by the numbe...
bash
d_bash_17328
--- +++ @@ -1,5 +1,5 @@ #!/usr/bin/env bash set -e # halt script on error -bundle exec jekyll build --source /home/travis/build/xtradio/xtradio.org/jekyll --destination /home/travis/_site +JEKYLL_ENV=production bundle exec jekyll build --source /home/travis/build/xtradio/xtradio.org/jekyll --destination /home/tra...
bash
d_bash_17329
--- +++ @@ -8,7 +8,7 @@ start_docker_containers # generate test data -exec_in_hadoop_master_container su hive -s /usr/bin/hive -f /files/sql/create-test.sql +exec_in_hadoop_master_container su hive -c '/usr/bin/hive -f /files/sql/create-test.sql' stop_unnecessary_hadoop_services
bash
d_bash_17330
--- +++ @@ -8,7 +8,7 @@ export PGDATABASE="booktown" export PGPORT="15432" -for i in {1..5} +for i in {1..6} do export PGVERSION="9.$i" echo "Running tests against PostgreSQL v$PGVERSION"
bash
d_bash_17331
--- +++ @@ -16,6 +16,7 @@ brew cask install imageoptim brew cask install Caskroom/versions/intellij-idea-ce brew cask install kindle +brew cask install launchcontrol brew cask install macdown brew cask install opera brew cask install pngyu
bash
d_bash_17332
--- +++ @@ -17,7 +17,7 @@ if [ -z "$1" ]; then rm -Rf ./avalanche - git clone -b dev git@github.com:avalanchesass/avalanche.git + git clone -b dev https://github.com/avalanchesass/avalanche.git fi node ./scripts/build.js
bash
d_bash_17333
--- +++ @@ -13,3 +13,6 @@ # Run format checks cargo fmt -- --write-mode=diff + +# Exit success always for now (see comment above) +exit 0
bash
d_bash_17334
--- +++ @@ -3,6 +3,9 @@ # Node package manager (NPM) set -e + +# Cache already installed global packages +INSTALLED_PACKAGES=( $(find `npm root -g` -type d -maxdepth 1 -not -path '*/\.*' -print0 | while IFS= read -r -d '' dirname; do echo ${dirname##*/}; done) ) # Packages to install globally PACKAGES=( @@ -1...
bash
d_bash_17335
--- +++ @@ -1,7 +1,5 @@ #! /usr/bin/env bash -# TODO: This requires the `--no-deps` flag. Without it, when `rustdoc` attempts -# to embed the KaTeX header it will fail to resolve the path. # TODO: This script sets the `RUSTDOCFLAGS` environment variable to configure # the KaTeX header for documentati...
bash
d_bash_17336
--- +++ @@ -1,5 +1,8 @@ #!/bin/bash -#for file in $(git remote); do echo ""; git push $file $@; done -for file in $(git remote -v|grep -v https|grep push|awk '{print $1}'); do echo ""; echo "git push $file $@"; git push $file $@; done +for file in $(git remote -v|grep -v https|grep -v gb28181|grep push|awk '{print...
bash
d_bash_17337
--- +++ @@ -1,16 +1,22 @@ #!/usr/bin/env bash RDIFF=rdiff-backup -# first two arguments are source and destintation -SOURCE=${1} -DEST=${2} +# always backup the root system +SOURCE='/' + +# only argument is the destination +DEST=${1} # configuration options VERBOSITY=5 KEEP_FOR=3M echo "Backing up '${SOUR...
bash
d_bash_17338
--- +++ @@ -4,6 +4,7 @@ # Install requirements into this (exporter) virtual environment pushd analytics-exporter/ +pip install 'setuptools<45' pip install -r github_requirements.txt pip install mysql-connector-python -e . popd
bash
d_bash_17339
--- +++ @@ -1,4 +1,4 @@ -source lib/config-parameters.sh +dir_path=$(dirname $0) local_ip_address=`ifconfig eth0 | grep 'inet addr:' | cut -d: -f2 | awk '{ print $1}'` echo "eth0 IP is: $local_ip_address" @@ -9,18 +9,18 @@ if [ "$1" == "controller" ] then - controller_ip_address=$local_ip_address - echo_an...
bash
d_bash_17340
--- +++ @@ -6,6 +6,11 @@ MONGO_USERNAME="$4" MONGO_PASSWORD="$5" VERSION="$BRANCH+$BUILD_NUMBER" + +if [[ -z "$MONGO_USERNAME" || -z "$MONGO_PASSWORD" ]]; then + echo "No mongo credentials so doing nothing..." + return 0 +fi if [[ "$BRANCH" == 'master' ]]; then FIELD="betaCliVersion"
bash
d_bash_17341
--- +++ @@ -1,5 +1,7 @@ #!/bin/bash +python3 -m pip install --upgrade pip +python3 -m pip cache purge python3 -m pip install --upgrade timezonefinder pytz 'apache-beam[gcp]' echo "If this script fails, please try installing it in a virtualenv"
bash
d_bash_17342
--- +++ @@ -1 +1,2 @@ -export PATH="./bin:/usr/local/bin:/usr/local/sbin:$DOTFILES/bin:$PATH" +export PATH="/Users/wade/.config/yarn/global/node_modules/.bin:./bin:/usr/local/bin:/usr/local/sbin:$HOME/Library/Python/2.7/bin:$DOTFILES/bin:$PATH" +
bash
d_bash_17343
--- +++ @@ -1,9 +1,16 @@ alias be="bundle exec" -alias bi="bundle install" alias bl="bundle list" alias bp="bundle package" alias bo="bundle open" alias bu="bundle update" + +if [[ "$(uname)" == 'Darwin' ]] +then + local cores_num="$(sysctl hw.ncpu | awk '{print $2}')" +else + local cores_num="$(nproc)" +fi +e...
bash
d_bash_17344
--- +++ @@ -11,8 +11,11 @@ echo = echo =================================== -dir="$PWD" +dir="/vagrant/setup" + . "$dir/environmental_variables.sh" +mkdir -p $ROOT_PROV_DIR + . "$dir/common_build_dependencies.sh" . "$dir/encodings.sh"
bash
d_bash_17345
--- +++ @@ -6,6 +6,7 @@ tmux select-window -t uxbox:1 tmux send-keys -t uxbox 'su - uxbox' C-m tmux send-keys -t uxbox 'cd uxbox' C-m +tmux send-keys -t uxbox './scripts/build-worker' C-m tmux send-keys -t uxbox 'npm run figwheel' C-m tmux new-window -t uxbox:2 -n 'backend'
bash
d_bash_17346
--- +++ @@ -1,7 +1,13 @@ # path, the 0 in the filename causes this to load first -path=( - $path - $HOME/.yadr/bin - $HOME/.yadr/bin/yadr -) +# +# If you have duplicate entries on your PATH, run this command to fix it: +# PATH=$(echo "$PATH" | awk -v RS=':' -v ORS=":" '!a[$1]++{if (NR > 1) printf ORS; printf $a[$...
bash
d_bash_17347
--- +++ @@ -7,15 +7,6 @@ _h() { _files -W ~/ -/; } compdef _h h -# Switch Java Version function -# Usage: sjv <version> -# Description: Switches the version of Java currently referenced by java_home. <version> should be of the form 1.7, 1.8 -sjv () { - local java_version=$1 - export JAVA_HOME=`/usr/libexec/java_...
bash
d_bash_17348
--- +++ @@ -6,4 +6,4 @@ mvn package -tar -cv quickstart.sh VarSim.jar __init__.py liftover_restricted_vcf_map.py generate_small_test_ref.py varsim.py varsim_multi.py varsim_somatic.py | gzip > varsim-$version.tar.gz +tar -cv quickstart.sh VarSim.jar __init__.py liftover_restricted_vcf_map.py generate_small_test_...
bash
d_bash_17349
--- +++ @@ -12,7 +12,6 @@ build_image "node" -SEED_SERVER="https://172.18.0.2:8080" ETC_DIR="/home/$USER/etc/autobd" DATA_DIR="/home/$USER/data/autobd-nodes/node"
bash
d_bash_17350
--- +++ @@ -3,41 +3,16 @@ # Determine whether to install personal or work extensions PERSONAL=$(! grep -Fq "AppCenter" "${HOME}/.npmrc"; echo $?) -declare -a extensions=( - EditorConfig.EditorConfig - LinusU.auto-dark-mode - peterjausovec.vscode-docker - smockle.xcode-default-theme - VisualStudioExptTeam.vsc...
bash
d_bash_17351
--- +++ @@ -18,8 +18,8 @@ exit 1 fi -if [ "$TRAVIS_JDK_VERSION" != "openjdk7" ]; then - # only proceed if the target JDK is openjdk7 +if [ "$TRAVIS_JDK_VERSION" != "oraclejdk7" ]; then + # only proceed if the target JDK is oraclejdk7 exit 1 fi
bash
d_bash_17352
--- +++ @@ -6,6 +6,13 @@ echo "Brew installation failed!" >&2 exit 1 fi +} + +_set_shell() { + echo "Add $1 to allowed shells" + sudo bash -c "echo $1 >> /etc/shells" + echo "Change default shell to $1" + chsh -s "$1" "$USER" } echo @@ -18,6 +25,8 @@ _install_brew brew tap Homebrew/bundle ...
bash
d_bash_17353
--- +++ @@ -8,8 +8,8 @@ cd $WORKSPACE/warehouse-transforms/warehouse_transforms_project + dbt clean - dbt seed --profile $DBT_PROFILE --target $DBT_TARGET --profiles-dir $WORKSPACE/analytics-secure/warehouse-transforms/ dbt run --models tag:$MODEL_TAG --profile $DBT_PROFILE --target $DBT_TARGET --profiles-dir...
bash
d_bash_17354
--- +++ @@ -21,7 +21,9 @@ ./gradlew -Pq clean build --stacktrace # Run all Python tests -./pants src/test/python:all -vxs +# Setting the timeout value to 1 minute ensures package fetches from PyPI do not +# fail on Apache Jenkins. +./pants build --timeout=60 src/test/python:all -vxs # Run Python style checks ...
bash
d_bash_17355
--- +++ @@ -10,3 +10,7 @@ git config --global user.email "contact@openfisca.fr" git commit -m "Push from openfisca doc" git push https://github.com/openfisca/openfisca.org.git doc-branch-publish +if git status -uno ; then + echo "There was an issue pushing to openfisca.org" + exit 1 +fi
bash
d_bash_17356
--- +++ @@ -24,7 +24,6 @@ echo-in-blue "Cleanup" brew cleanup - brew cask cleanup echo-in-green "Done!" }
bash
d_bash_17357
--- +++ @@ -1,4 +1,5 @@ -#! /bin/bash +#!/usr/bin/env bash +set -e dotnet test tests/gitnstats.test/gitnstats.test.csproj \ /p:CollectCoverage=true \
bash
d_bash_17358
--- +++ @@ -4,7 +4,7 @@ # needs to happen once. It's idempotent, so it won't # hurt to call it multiple times, but it's a useless # time sink -sudo apt-get install vim emacs zsh git tmux ssh subversion +sudo apt-get install vim emacs zsh git tmux ssh subversion lxc python-dev python-pip cp gitconfig ~/.gitconfi...
bash
d_bash_17359
--- +++ @@ -35,6 +35,6 @@ fi # run acceptance tests - WDIO_BASEURL=$HEROKU_APP_URL npm run test:acceptance-cloud + WDIO_BASEURL=$HEROKU_APP_URL npm run test:acceptance-headless fi
bash
d_bash_17360
--- +++ @@ -6,3 +6,8 @@ sleep 1 node_modules/.bin/jasmine-node --coffee spec/ + +echo "Also review the visual tests" +echo " cd spec/testapp/" +echo " coffee app.coffee" +echo "and open http://localhost:7000/"
bash
d_bash_17361
--- +++ @@ -2,7 +2,7 @@ echo "Starting GDB ImageWatch configuration for Ubuntu 16.04." set -e sudo apt-get install python3-pip -sudo apt-get -y install libpython3-dev libglew-dev python3-numpy python3-pip qt-sdk texinfo libfreetype6-dev libeigen3-dev +sudo apt-get -y install libpython3-dev libglew-dev python3-nump...
bash
d_bash_17362
--- +++ @@ -8,20 +8,24 @@ set -x current_version=`python setup.py --version` -if [[ "$TRAVIS_BRANCH" == "master" && "$TRAVIS_PULL_REQUEST" != false ]] + +if ! git diff-index --quiet master openfisca_web_api then - if git rev-parse $current_version + if [[ "$TRAVIS_BRANCH" == "master" && "$TRAVIS_PULL_REQUE...
bash
d_bash_17363
--- +++ @@ -14,10 +14,10 @@ #stat ${mod_time_fmt} Dockerfile #docker inspect -f '{{ .Created }}' katas-image -#if [[ $(docker inspect --format . ${IMAGE_NAME} 2>&1) != "." ]]; then +if [[ $(docker inspect --format . ${IMAGE_NAME} 2>&1) != "." ]]; then echo "--- BUILDING image '${IMAGE_NAME}'---" docker buil...
bash
d_bash_17364
--- +++ @@ -2,9 +2,13 @@ set -e export GOPATH=$(pwd)/_gopath +export PATH=$GOPATH/bin:$PATH + _projectatomic="${GOPATH}/src/github.com/projectatomic" mkdir -vp ${_projectatomic} ln -vsf $(pwd) ${_projectatomic}/skopeo + +go get -u github.com/cpuguy83/go-md2man cd ${_projectatomic}/skopeo make validate-loca...
bash
d_bash_17365
--- +++ @@ -5,6 +5,8 @@ function update_link() { dest="$HOME/.$1" + dest_dir=$(dirname "${dest}") + mkdir -p "$dest_dir" if [[ ! -e $dest || -L $dest ]]; then echo "Updating $dest" ln -sf "`readlink -f $1`" $dest
bash
d_bash_17366
--- +++ @@ -2,12 +2,17 @@ SEARCHDIR=${1-$(pwd)}; -echo "function search {" > $SEARCHDIR/init_search; -echo " OUTPUT=\$($SEARCHDIR/searcher \$@);" >> $SEARCHDIR/init_search; -echo " if [ -n \"\$OUTPUT\" ]; then" >> $SEARCHDIR/init_search; -echo " cd \${OUTPUT};" ...
bash
d_bash_17367
--- +++ @@ -7,3 +7,8 @@ bindkey '^w' backward-kill-word bindkey '^k' kill-line bindkey '^u' backward-kill-line + +bindkey 'a' accept-and-hold +bindkey 'g' get-line +bindkey 'h' run-help +bindkey 'q' push-line
bash
d_bash_17368
--- +++ @@ -23,7 +23,7 @@ . ./funcs -if [ "z$1" == "z" -o "z$2" == "z" ]; then +if [ $# -lt 2 ]; then echo "Usage: $0 <email> <trustgroup>" exit 1 fi
bash
d_bash_17369
--- +++ @@ -4,5 +4,9 @@ mkdir -p /vagrant/data/logs # Create database 'zf3-skeleton-application' -mysql -u root -e 'CREATE DATABASE `zf3-skeleton-application`' +mysql -u root <<-"SQL" + CREATE DATABASE `zf3-skeleton-application`; + CREATE USER `zf3-skeleton-application`@`%` IDENTIFIED BY "zf3-skeleton-application...
bash
d_bash_17370
--- +++ @@ -25,3 +25,10 @@ exit $ret fi rm -rf target + +./gradlew clean build +ret=$? +if [ $ret -ne 0 ]; then + exit $ret +fi +rm -rf build
bash
d_bash_17371
--- +++ @@ -1,5 +1,6 @@ mkdir -p /ket && cd /ket && +sudo apt-get update && curl -L https://github.com/apprenda/kismatic/releases/download/v1.2.0/kismatic-v1.2.0-linux-amd64.tar.gz | tar -zx && sudo apt-get -y install git build-essential && sudo apt-get install -qq python2.7 && ln -s /usr/bin/python2.7 /usr/bin...
bash
d_bash_17372
--- +++ @@ -1,3 +1,3 @@ #!/bin/bash -java -jar lib/antlr-3.2.jar GuiceyData.g -o src/com/lowereast/guiceymongo/data/generator/parser +java -jar lib/antlr-3.2.jar GuiceyData.g -o src/main/java/com/lowereast/guiceymongo/data/generator/parser
bash
d_bash_17373
--- +++ @@ -3,18 +3,19 @@ set -e errors=0 -TOP_DIR=`pwd` -cd python +#TOP_DIR=`pwd` +#cd python # Run unit tests -python biotool/biotool_test.py > /dev/null 2>&1 || { +python python/biotool/biotool_test.py > /dev/null 2>&1 || { echo "'python biotool_test.py' failed" let errors+=1 } -cd $TOP_DIR +#...
bash
d_bash_17374
--- +++ @@ -22,4 +22,4 @@ prospector --profile-path=. --profile=.prospector.yml --path=src --ignore-patterns=static # python tests -py.test -c pytest_ci.ini -x --disable-socket -W error::RuntimeWarning --cov=src --cov-fail-under=100 +py.test -c pytest_ci.ini -x --disable-socket -W error::RuntimeWarning --cov=src ...
bash
d_bash_17375
--- +++ @@ -1,7 +1,11 @@ #!/bin/sh INSTALL_DIR=`pwd` gnatprep -DCONFIG_DIR=\"${INSTALL_DIR}/config\" -DVERSION=\"1.3.0\" src/gen-configs.gpb src/gen-configs.ads -sed -e 's,@GNAT_PROJECT_PATHS@,.,' \ +GNATBUILD=`which gprbuild` +GNATBIN=`dirname ${GNATBUILD}` +GNATDIR=`dirname ${GNATBIN}` +GNAT_PROJECT_PATHS="${GNA...
bash
d_bash_17376
--- +++ @@ -3,6 +3,8 @@ # This script does all the "defaults write" work that otherwise I will # forget and have to google for hours. + +defaults write com.apple.finder AppleShowAllFiles YES # Turn on key-repeat for JetBrains tools. (for better vim) # https://gist.github.com/lsd/1e1826907ab7e49c536a
bash
d_bash_17377
--- +++ @@ -16,9 +16,16 @@ file = ARGV[0] if ARGV.length>0 -srcDir = File.dirname(file) +# Copied from https://github.com/asciidoctor/asciidoctor-extensions-lab/blob/master/scripts/asciidoc-coalescer.rb +doc = Asciidoctor.load_file file, safe: :unsafe, header_only: true, attributes: options[:attributes] +header_...
bash
d_bash_17378
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -export PATH="$HOME/bin:/usr/local/bin:/usr/local/sbin:$DOT/bin:$PATH" +export PATH="./bin:$HOME/bin:/usr/local/bin:/usr/local/sbin:$DOT/bin:$PATH" lspath() { echo "${PATH}" | tr ':' '\n'
bash
d_bash_17379
--- +++ @@ -1,5 +1,6 @@ #!/usr/bin/env bash -curl -H "Content-Type: application/json" -s -o /dev/null -w "%{http_code}" -X POST -d '{"alias":"Bob","uuid":"1ab9f8ta452bg2eq2"}' http://leanbean-proxy/leanbean/v1/devices/ +HTTP_STATUS=$(curl -H "Content-Type: application/json" -s -o /dev/null -w "%{http_code}" -X POST ...
bash
d_bash_17380
--- +++ @@ -10,4 +10,4 @@ docker pull armhf/alpine docker run --rm armhf/alpine uname -a docker swarm init -docker run mobylinux/check-config@sha256:7f8327e9eeae67a7f1388ad0ac5089454fea0636c175feb4400e5fc76ebc816e +docker run mobylinux/check-config@sha256:4282f589d5a72004c3991c0412e45ba0ab6bb8c0c7d97dc40dabc828700...
bash
d_bash_17381
--- +++ @@ -19,7 +19,7 @@ echo "Running custom build.sh - install bundle, rake" bundle --path=.gem/ set +e -rake rcov > $outdir/testtask.log +bundle exec rake rcov > $outdir/testtask.log spec_rc=$? set -e
bash
d_bash_17382
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -MINCOVERAGE=93 +MINCOVERAGE=92 SCRIPTPATH=$(readlink -f "$0") TESTDIR=`dirname $SCRIPTPATH` BASEDIR=$TESTDIR/..
bash
d_bash_17383
--- +++ @@ -4,18 +4,21 @@ #------------------------------------------------------------------------------ start() { - export PERL5LIB=./modules/perl + export PERL5LIB=$(pwd)/modules/perl # hypnotoad -f ./web/services/api.pl >> ./api.log 2>&1 & # ./web/services/api.pl daemon -l http://localhost:3304 ...
bash
d_bash_17384
--- +++ @@ -1,9 +1,10 @@ #!/bin/bash -ex +CF_RELEASE_URL=${CF_RELEASE_URL:-https://github.com/cloudfoundry/cf-release.git} CF_RELEASE_BRANCH=${CF_RELEASE_BRANCH:-master} if [ ! -d cf-release ]; then - git clone --depth 1 https://github.com/cloudfoundry/cf-release.git + git clone --depth 1 ${CF_RELEASE_UR...
bash
d_bash_17385
--- +++ @@ -3,7 +3,7 @@ git clone https://github.com/geramirez/concourse-filter &>/dev/null pushd concourse-filter go build &>/dev/null - CREDENTIAL_FILTER_PARAMS=STACKS,DEPLOYMENT_NAME,SSH_AGENT_PID,CF_EDGE,IAAS,RUBYGEM_MIRROR,BOSH_LITE_NAME,AZURE_BOSH_USER,BOSH_USER,LANGUAGE,CI_CF_USERNAME,BOSH_TARGET,BOSH_LI...
bash
d_bash_17386
--- +++ @@ -1,7 +1,10 @@ #!/usr/bin/env bash -# Make sure our env var is working -: ${RESERVE_SITE:?"Need to set RESERVE_SITE non-empty"} +# Make sure our env var is set +if [ -z "$RESERVE_SITE" ]; then + echo "Need to set RESERVE_SITE" + exit 1 +fi DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
bash
d_bash_17387
--- +++ @@ -1,4 +1,4 @@ -#!/bin/bash +#!/usr/bin/env bash set -e
bash
d_bash_17388
--- +++ @@ -8,7 +8,7 @@ if [ ! -e $DEPS_FILE ]; then - for I in android-25 \ + for I in android-26 \ build-tools-25.0.3 \ tool \ extra-android-m2repository \
bash
d_bash_17389
--- +++ @@ -2,9 +2,8 @@ echo -e "\033[0;32mDeploying updates to GitHub...\033[0m" -# Build the index. -# npm install -# npm run index +# Clear deploy folder +rm -rf docs # Build the project hugo @@ -21,4 +20,3 @@ # Push source and build repos git push origin master -git subtree push --prefix=public git@g...
bash
d_bash_17390
--- +++ @@ -1,4 +1,8 @@ #!/bin/sh + +# Install PCRE library +# Otherwise we can't use regex to config nginx like: `location ~ ^/(assets)/` +sudo apt-get install libpcre3 libpcre3-dev # through passenger to install nginx gem install passenger –no-ri –no-rdoc
bash
d_bash_17391
--- +++ @@ -23,6 +23,7 @@ -o bosh-deployment/jumpbox-user.yml \ -o bosh-src/ci/bats/ops/remove-health-monitor.yml \ -o bosh-deployment/local-bosh-release.yml \ + -o bosh-deployment/experimental/nats-tls.yml \ -v dns_recursor_ip=8.8.8.8 \ -v director_name=bats-director \ -v local_bosh_release=$(real...
bash
d_bash_17392
--- +++ @@ -27,6 +27,7 @@ make publish-website if [[ ${GIT_BRANCH} == ${MAIN_BRANCH} ]] || \ + [[ ${GIT_BRANCH} =~ -rc[0-9]+$ ]] || \ [[ $(make print-IS_PULL_REQUEST) == "true" ]]; then make e2e fi
bash
d_bash_17393
--- +++ @@ -21,6 +21,12 @@ fi pushd ${input_dir} > /dev/null + source director.env + : ${BOSH_ENVIRONMENT:?} + : ${BOSH_CLIENT:?} + : ${BOSH_CLIENT_SECRET:?} + export BOSH_CA_CERT="${input_dir}/ca_cert.pem" + echo "cleaning up bosh BOSH Director..." $bosh_cli -n clean-up --all echo "deleting existin...
bash
d_bash_17394
--- +++ @@ -5,7 +5,7 @@ build=$1 mkdir $build cd $build - cmake .. -G"Unix Makefiles" -DCMAKE_CXX_COMPILER=clang++ -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="-Wall -funroll-loops -finline-functions $2" + cmake .. -G"Unix Makefiles" -DCMAKE_CXX_COMPILER=clang++ -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="-W...
bash
d_bash_17395
--- +++ @@ -1,2 +1,2 @@ -# brew : 各種ツールの PATH を除いて実行する、Xcode を指定する -alias brew="PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin DEVELOPER_DIR=/Applications/Xcode_8.1.app/Contents/Developer brew" +# brew : 各種ツールの PATH を除いて実行する +alias brew="PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin brew"
bash
d_bash_17396
--- +++ @@ -15,7 +15,7 @@ echo " * $3" build "$1" "$2" file hexkit_path_fix.exe - zip "release/hexkit_path_fix_$3.tar.bz2" hexkit_path_fix.exe LICENSE README.md + zip "release/hexkit_path_fix_$3.zip" hexkit_path_fix.exe LICENSE README.md } mkdir -p release
bash
d_bash_17397
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash sudo service repka-lifeforce stop git pull -npm ci +yarn sudo service repka-lifeforce start sudo service repka-lifeforce status
bash
d_bash_17398
--- +++ @@ -1,3 +1,4 @@ +# ./gera_rais.sh en/pt output_path for year in {2002..2013}; do echo $1 $2 $year;
bash
d_bash_17399
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh +#!/bin/bash # Script used to create a list of folders that have changes in # them compared to a base. @@ -6,26 +6,31 @@ # If on `master` branch then the latest tag is the base. # If on another branch then `master` branch is the base. # +# If on `master` then use the default ...
bash